gplgt(1)

NAME
gplgt - Logtalk integration script for GNU Prolog

SYNOPSIS
gplgt [--quiet] [--query-goal goal]

DESCRIPTION
gplgt is a Logtalk integration script for GNU Prolog. It automatically loads the GNU Prolog adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the lookup directories. It uses the gprolog executable --entry-goal option to load the Logtalk files. It passes any options to the gprolog executable; see the GNU Prolog documentation for the available options.

OPTIONS
The two most common options are:

--quiet
    Silence Logtalk default startup messages and compilation messages by setting the report flag to warnings (requires GNU Prolog 1.5.1 or a later version).

--query-goal
    goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
GNU Prolog 1.4.5 or a later version is required. This integration script looks for a gprolog executable in the system path.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/integration/logtalk_gp.pl
    Prolog file used for loading the necessary files for starting Logtalk using GNU Prolog as the backend compiler.

$LOGTALKHOME/adapters/gnu.pl
    The GNU Prolog adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$XDG_CONFIG_HOME/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/.config/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk Handbook at $LOGTALKHOME/docs/handbook/index.html

The GNU Prolog website at http://www.gprolog.org/

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2026 Paulo Moura.